Bug 563688

Summary: Logitech "Elite Keyboard Y-RP20 + Mouse MX900" Bluetooth receiver does not switch to HCI mode
Product: [Fedora] Fedora Reporter: Vesa Halttunen <vesuri>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: harald, jonathan, perja
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 17:59:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vesa Halttunen 2010-02-10 16:21:12 EST
Description of problem:
I have a Logitech Elite Keyboard Y-RP20 + Mouse MX900 with a Bluetooth receiver. The Bluetooth receiver does not show up in hciconfig - most likely since the device is in HID mode. udev does not change the device to HCI mode and running the hid2hci command manually for the device does not work either.

Version-Release number of selected component (if applicable):
libudev-145-14.fc12.i686

How reproducible:
always

Steps to Reproduce:
1. Plug in Bluetooth USB receiver
2. Run hciconfig -a
  
Actual results:
No output.

Expected results:
Information about the Bluetooth receiver.

Additional info:
The receiver used to work with many earlier bluez/udev versions (for example with the ones shipped with Fedora 11, IIRC).

lsusb output:

Bus 003 Device 005: ID 046d:c703 Logitech, Inc. Elite Keyboard Y-RP20 + Mouse MX900 (Bluetooth)

lshal output (relevant parts):

udi = '/org/freedesktop/Hal/devices/usb_device_46d_c703_19D043'
  info.product = 'Elite Keyboard Y-RP20 + Mouse MX900 (Bluetooth)'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1'  (string)

hid2hci output:

/lib/udev/hid2hci --method=logitech-hid --devpath=/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1
error: switching device '/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1' failed.
Comment 1 Per Thomas Jahr 2010-05-26 15:36:18 EDT
See bug 595178 for a solution/workaround.
Comment 2 Bug Zapper 2010-11-03 18:27:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:59:52 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.